Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.mom
Class JUApplicationDefImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.jbo.mom.ContainerDefImpl
oracle.jbo.uicli.mom.JUApplicationDefImpl`

public class JUApplicationDefImpl
extends oracle.jbo.mom.ContainerDefImpl

Field Summary
`static java.lang.String` | `PNAME_ApplicationType`
`static java.lang.String` | `PNAME_BindingClass`
`static java.lang.String` | `PNAME_CliApplication`
`static java.lang.String` | `PNAME_RootAMDefName`
`static java.lang.String` | `PNAME_SeparateXMLFiles`
`static java.lang.String` | `PNAME_TYPE_APPLICATION`
`static java.lang.String` | `PNAME_TYPE_GENERIC`
`static java.lang.String` | `PNAME_TYPE_JCLIENT`
`static java.lang.String` | `PNAME_TYPE_PROJ`

Fields inherited from class oracle.jbo.mom.ContainerDefImpl
`mChildPackage, mContainees, mDefMgr, mHasJava, mHasSubstitutes, mIsProject, mJavaPackageName, mLazyLoading, mUnresolvedObjects, mXMLFileName, mXMLLoaded, mXMLSectionName`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUApplicationDefImpl()`
`JUApplicationDefImpl(java.lang.String name)`

Method Summary
`static JUApplicationDefImpl` | `createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected oracle.jbo.mom.ContainerDefImpl` | `createContainerType(java.lang.String typeName)`
`DCDataControl` | `createRootApplication(java.util.Hashtable context, java.lang.String name, java.lang.Object userData, java.lang.String dbConnectionURL, java.util.Properties dbConnectionProps)`
`java.lang.String` | `findBindingContainerIdByPath(java.lang.String path, oracle.adf.model.BindingContext ctx)`
`static JUApplicationDefImpl` | `findDefObject(java.lang.String name)`
`static JUApplicationDefImpl` | `findDefObjectNoSub(java.lang.String name)`
`DCDataControlDef` | `findSession(java.lang.String name)`
`java.util.ArrayList` | `get_bindingContainerReferenceNames()`
`java.lang.String` | `getApplicationClassName()`
`boolean` | `getAsProject()`
`java.util.ArrayList` | `getBindingContainerReferences()`
`java.lang.String` | `getClientType()`
`protected com.sun.java.util.collections.ArrayList` | `getContainerDefNames(boolean recursive)`
`java.util.ArrayList` | `getDataControlReferences()`
`java.lang.String` | `getIanaEncoding()`
`java.lang.String` | `getJdkEncoding()`
`java.lang.String` | `getMapValueByPath(java.lang.String path)`
`java.lang.String` | `getPackageName()`
`java.util.Map` | `getPageMap()`
`java.lang.String` | `getRootAMDefName()`
`java.util.ArrayList` | `getSessionDefNames()`
`java.util.ArrayList` | `getSessionDefs()`
`java.lang.String` | `getXMLElementTag()` Returns a piece of static info for the type of object this is invoked upon.
`boolean` | `isDirty()` This method returns if an Object is modified from last save/load
`boolean` | `isNew()` This method returns if this object is previously persisted.
`protected void` | `loadContainee(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadContainees(oracle.jbo.mom.xml.DefElement xmlElement, boolean sepXMLFiles)`
`protected void` | `loadDataControls(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadFromXMLFile(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `loadPackages()`
`protected void` | `loadPageDefinitionUsage(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadPageDefinitionUsages(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadPageMap(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `removeSession(java.lang.String name)`
`void` | `setApplicationClassName(java.lang.String applicationClassName)`
`void` | `setAsProject(boolean asProject)`
`void` | `setDirty(boolean isDirty)` This method marks the Object dirty
`void` | `setIanaEncoding(java.lang.String iana)`
`void` | `setJdkEncoding(java.lang.String jdkEnc)`
`void` | `setName(java.lang.String name)` Name this object.
`void` | `setNew(boolean isNew)` This method marks the as previously persisted.
`void` | `setPackageName(java.lang.String sPackage)`
`void` | `setRootAMDefName(java.lang.String rootAMDefName)`

Methods inherited from class oracle.jbo.mom.ContainerDefImpl
`addChild, addChild, findChildObject, generateUniqueChildName, getChildObjectNames, getChildObjects, hasJava, hasSubstitutes, isDynamicDefinitionObject, isLazyLoading, isProject, isXMLLoaded, loadContainees, loadFromXML, removeChild, resolveAllReferences, setHasSubstitutes, setIsProject, setSynchronized, setXMLName`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_TYPE_GENERIC

    public static final java.lang.String PNAME_TYPE_GENERIC

  See Also:
    Constant Field Values

### PNAME_TYPE_JCLIENT

    public static final java.lang.String PNAME_TYPE_JCLIENT

  See Also:
    Constant Field Values

### PNAME_TYPE_PROJ

    public static final java.lang.String PNAME_TYPE_PROJ

  See Also:
    Constant Field Values

### PNAME_TYPE_APPLICATION

    public static final java.lang.String PNAME_TYPE_APPLICATION

  See Also:
    Constant Field Values

### PNAME_BindingClass

    public static final java.lang.String PNAME_BindingClass

  See Also:
    Constant Field Values

### PNAME_RootAMDefName

    public static final java.lang.String PNAME_RootAMDefName

  See Also:
    Constant Field Values

### PNAME_ApplicationType

    public static final java.lang.String PNAME_ApplicationType

  See Also:
    Constant Field Values

### PNAME_CliApplication

    public static final java.lang.String PNAME_CliApplication

  See Also:
    Constant Field Values

### PNAME_SeparateXMLFiles

    public static final java.lang.String PNAME_SeparateXMLFiles

  See Also:
    Constant Field Values

Constructor Detail

### JUApplicationDefImpl

    public JUApplicationDefImpl(java.lang.String name)

### JUApplicationDefImpl

    public JUApplicationDefImpl()

Method Detail

### findDefObjectNoSub

    public static JUApplicationDefImpl findDefObjectNoSub(java.lang.String name)

### findDefObject

    public static JUApplicationDefImpl findDefObject(java.lang.String name)

### getContainerDefNames

    protected com.sun.java.util.collections.ArrayList getContainerDefNames(boolean recursive)

### getPageMap

    public java.util.Map getPageMap()

### getMapValueByPath

    public java.lang.String getMapValueByPath(java.lang.String path)

### findBindingContainerIdByPath

    public java.lang.String findBindingContainerIdByPath(java.lang.String path,
                                                         oracle.adf.model.BindingContext ctx)

### getRootAMDefName

    public java.lang.String getRootAMDefName()

### setRootAMDefName

    public void setRootAMDefName(java.lang.String rootAMDefName)

### getApplicationClassName

    public java.lang.String getApplicationClassName()

### setApplicationClassName

    public void setApplicationClassName(java.lang.String applicationClassName)

### getPackageName

    public java.lang.String getPackageName()

### setPackageName

    public void setPackageName(java.lang.String sPackage)

### setName

    public void setName(java.lang.String name)

  Name this object.
  Parameters:
    `name` - the name to be given to this object.

### getAsProject

    public boolean getAsProject()

### setAsProject

    public void setAsProject(boolean asProject)

### getSessionDefNames

    public java.util.ArrayList getSessionDefNames()

### loadPackages

    public void loadPackages()

### get_bindingContainerReferenceNames

    public java.util.ArrayList get_bindingContainerReferenceNames()

### getBindingContainerReferences

    public java.util.ArrayList getBindingContainerReferences()

### createContainerType

    protected oracle.jbo.mom.ContainerDefImpl createContainerType(java.lang.String typeName)

### createRootApplication

    public DCDataControl createRootApplication(java.util.Hashtable context,
                                               java.lang.String name,
                                               java.lang.Object userData,
                                               java.lang.String dbConnectionURL,
                                               java.util.Properties dbConnectionProps)

### loadFromXMLFile

    protected void loadFromXMLFile(oracle.jbo.mom.xml.DefElement xmlElement)

### getClientType

    public java.lang.String getClientType()

### getSessionDefs

    public java.util.ArrayList getSessionDefs()

### findSession

    public DCDataControlDef findSession(java.lang.String name)

### removeSession

    public void removeSession(java.lang.String name)

### isDirty

    public boolean isDirty()

  This method returns if an Object is modified from last save/load
  Returns:
    Returns true if the Object is dirty. Returns false otherwise.

### setDirty

    public void setDirty(boolean isDirty)

  This method marks the Object dirty
  Parameters:
    `isDirty` - If true the Object is marked Dirty.

### isNew

    public boolean isNew()

  This method returns if this object is previously persisted.
  Returns:
    true if the Object is previously persisted. Returns false otherwise.

### setNew

    public void setNew(boolean isNew)

  This method marks the as previously persisted. By default all objects are new objects. When the object is persisted first time, that object is marked as 'not new' object
  Parameters:
    `isNew` - If true the Object is marked as new object.

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Returns a piece of static info for the type of object this is invoked upon. Examples are PreparedStatements for insert, update, delete, and String containing a base the select statement for retrieving instances of this type through the SQLInputStream
  Returns:
    returns the Statement required to store in Persitent Storage. Incase of XML, it just returns the String. In the case of SQL a JDBC PreparedStatement is returned.

### getIanaEncoding

    public java.lang.String getIanaEncoding()

### setIanaEncoding

    public void setIanaEncoding(java.lang.String iana)

### getJdkEncoding

    public java.lang.String getJdkEncoding()

### setJdkEncoding

    public void setJdkEncoding(java.lang.String jdkEnc)

### loadContainee

    protected void loadContainee(oracle.jbo.mom.xml.DefElement xmlElement)

### loadPageDefinitionUsage

    protected void loadPageDefinitionUsage(oracle.jbo.mom.xml.DefElement xmlElement)

### createAndLoadFromXML

    public static JUApplicationDefImpl createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

### loadPageMap

    protected void loadPageMap(oracle.jbo.mom.xml.DefElement xmlElement)

### loadContainees

    protected void loadContainees(oracle.jbo.mom.xml.DefElement xmlElement,
                                  boolean sepXMLFiles)

### loadDataControls

    protected void loadDataControls(oracle.jbo.mom.xml.DefElement xmlElement)

### loadPageDefinitionUsages

    protected void loadPageDefinitionUsages(oracle.jbo.mom.xml.DefElement xmlElement)

### getDataControlReferences

    public java.util.ArrayList getDataControlReferences()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.